.background-grid {
  background-color: #222222;
  filter: grayscale(95%) brightness(0.6) blur(0.06em);
  display: grid;
  grid-template-columns: repeat(auto-fill, 60px); /* 100px squares */
  grid-template-rows: repeat(auto-fill, 60px);    /* Adjust size as needed */
  width: 100vw;
  height: 100vh;
  
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(15deg) scale(1.5); /* Rotate by 15 degrees */
  z-index: -1;
}

.background-tile {
  width: 60px;
  height: 60px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}


@font-face {
    font-family: digit;
    src: url("assets/fonts/pcsenior.ttf");
  }

  @font-face {
    font-family: sans;
    src: url("assets/fonts/sans.ttf");
  }

  @font-face {
    font-family: mario;
    src: url("assets/fonts/SuperMario256.ttf");
  }

  .float-right {
    float: right;
  }
  
  .sort-handle {
    float: right;
  }

  .sort-handle-left {
    float: none;
  }


  details div {
    margin: 5px;
    padding: 5px;
  }

  @font-face {
    font-family: sans;
    src: url("assets/fonts/papyrus.ttf");
  }

body {
    background: #ffffff;
    margin: auto;
    font-size: 18px;
}

.edited-before {
    /* background: #aaffaa; */
    outline: 3px solid green;

}
.unedited {
    /*background: white;*/
    outline: none;
}
.edited {
    /* background: #aaFFFF; */
    outline: 3px solid blue;
}
.edited-parent {
    /* background: #33dddd; */
    outline: 3px solid blue;
}

.wheel-bg {
    background: #111111;
    margin: auto;
    font-size: 18px;
}
.loadingclass{
    background:black;
}
.preview-img{
    margin-left: 10px;
    max-height: 25px;
    max-width: 25px;
    -webkit-filter: drop-shadow(0px 0px 5px #888);
    filter: drop-shadow(0px 0px 5px #888);
    padding: 3px;
}
.preview-img:hover {
    cursor: pointer;
}

.login-error {
  display: flex;
  color: red;
  justify-content: center;
  align-items: center;
  padding: 5px;
}
.login-success {
  display: flex;
  color: blue;
  justify-content: center;
  align-items: center;
  padding: 5px;
}

#preview-container {
    width: 500px;
    height: 500px;
    position: absolute;
    z-index: 9999;
    top: 50%;
    left: 35%;
    transform: translate(-50%, -50%);
    margin: 10px;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: visible;
}

#preview-image {
    image-rendering: pixelated;
    display: block;
    width: 90%;
    height: 90%;
    object-fit: contain;
    -webkit-filter: drop-shadow(0px 0px 7px #888);
    filter: drop-shadow(0px 0px 7px #888);
    
}


#container{
  height: 99%;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* #main{
    height: 96%;
    width: 1024px;
    margin: 12px;
    display: inline-block;
} */

#main {
  height: 96%;
  max-height: 96%;
  width: 100%;
  max-width: 100%;
  margin: 12px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#mainpop {
  height: 96%;
  max-height: 96%;
  width: 100%;
  max-width: 100%;
  display: flex;
}

#main canvas {
  justify-content: center;
  align-items: center;
}
#mainpop canvas {
  justify-content: center;
  align-items: center;
}


  

#sidebar{
    /* overflow: auto; */
    overflow-y: auto;
    background-color: white;
    border: 1px solid #2d2d2d;
    margin: 10px;
    padding: 10px;
    /* height: auto; */
    height: calc(80vh - 18px);
    width: 100%;
    margin: 12px;
    display: inline-block;
}

/* #title{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30;
    border: 0 1 0 0 solid #2d2d2d;
} */
#controls{
    border: 1px solid #2d2d2d;
    
}

.dialogueBox p:before{
    content: '* ';
}

details > *:not(summary) {
    margin-left: 2em;
}

.important-stuff {
    border: 3px solid red;
    padding: 3px;
}

details {
    border: 1px solid black;
    padding: 10px;
    margin: 5px;
}

ol li {
    list-style: decimal;
    list-style-position: inside;
    margin: 5px;
}

#notification {
    position: fixed;
    top: 10px;
    right: 10px;
    background-color: #fff;
    padding: 10px 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
    display: none;
  }

  #saveNotificationContainer {
    position: fixed;
    top: 50%;
    left: 30%;
    transform: translate(-50%, -50%);
    display: none;
  }

  #saveNotification {
    border: 2px solid black;
    border-radius: 50%;
    font-size: 32px;
    background-color: #f2f2f2;
    padding: 10px;
    border-radius: 5px;
  }


.frame-img{
    width: 30px;
    height: 30px;
}

.add-button {
    margin: 5px;
}
.kill-button {
    color: red;
    font-weight: bold;
    margin-right: 5px;
}
.kill-segment-button {
    color: red;
    font-weight: bold;
    margin: 10px;
    margin-left: 35px;
}

#color-block {
  margin: 0px;
}
.color-block {
  margin: 0px;
  padding: 0px;
}


.tab {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
}

.tap-button {
    background-color: inherit;
    cursor: pointer;
    width: 100px;
    height: 100px;
    padding: 10px;
    transition: 0.3s;
}
.tap-button:hover { 
    background-color: #ddd;
}
.tap-button:active {
    background-color: #ccc;
}
  
/* Style the buttons that are used to open the tab content */
.tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 15px;
    transition: 0.3s;
}
.tablinks{
    border: 1px solid #000;
}

/* Change background color of buttons on hover */
.tab button:hover {
    background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
    background-color: #ccc;
}

/* Style the tab content */
.tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    border-top: none;
}

#mascot-gif {
    width: auto;
    height: 100px;
    image-rendering: pixelated;
}
#mascot-gif-container {
    display: flex;
    justify-content: center;
    width: auto;
    height: 120px;
    padding: 10px;
    margin-bottom: 40px;
    border: 1px solid black;
}


.mascot-container{
    margin: 10px;
    box-sizing: content-box;
    gap: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: flex-start
}
.mascot-block{
    background-color: #ffffff;
    display: inline-block;
    width: 220px;
    height: 220px;
    border: 2px solid black;
    border-radius: 10%;
    text-align: center;
    position: relative;
    justify-content: center;
    margin: 4px;
}
.mascot-name{
    font-size: 24px;
    font-weight: bold;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    width: 94%;
}
.mascot-creator{
    font-size: 15px;
    font-weight: normal;
}
.mascot-image img{
    object-fit: contain;
    width: 200px;
    height: 140px;
    image-rendering: pixelated;
}
.mascot-favorite{
    cursor: pointer;
    position: absolute;
    bottom: 0;
    right: 0;
    font-size: 30px;
}
.mascot-approve{
    cursor: pointer;
    position: absolute;
    bottom: 0;
    left: 0;
    font-size: 30px;
}
.mascot-delete{
    cursor: pointer;
    position: absolute;
    top: 20px;
    right: 0;
    font-size: 30px;
}
.center {
    justify-content: center;
    text-align: center;
    align-items: center;
}
.list {
    width: 90%;
    height: 80%;
    overflow: hidden;
    font-size: 16px;
    line-height: 1.2;
    padding: 10px;
}
.banned {
    font-style: italic;
    text-decoration: line-through;
}
.ban-button{
    color: red;
    font-size: 20px;
}
#mod-color{
    color: red;
}
.mod-button{
  color: blue;
  font-size: 20px;
}
.owned-button{
  color: black;
  font-size: 20px;
}
.editor-button{
  color: chocolate;
  font-size: 20px;
}
.follow-button{
  color: cyan;
  font-size: 20px;
}
.block-button{
  color: red;
  font-size: 20px;
}
.unban-button{
    color: red;
    font-size: 20px;
}
.json-button {
  position: absolute;
  bottom: 0;
  left: 30%;
}

.pagelinks{
    margin: 20px;
    gap: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.link{
    display: inline-block;
    width: 60px;
    height: 60px;
    border-radius: 10%;
    text-align: center;
}
.content {
    background: #FFFFFF;
}

#modal {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 70%;
    max-width: 800px;
    height: 70%;
    max-height: 600px;
    padding: 10px;
    background-color: white;
    z-index: 9999;
    overflow: auto;
}
.json-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.json-modal pre {
    max-width: 80%;
    max-height: 80%;
    overflow: auto;
    background-color: #f4f4f4;
    padding: 20px;
    font-size: 14px;
    line-height: 1.5;
    white-space: pre-wrap;
    word-wrap: break-word;
}
/* Modal Content/Box */
.modal-content {
    display: none;
    background-color: #fefefe;
    margin: 10% auto; /* 10% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%; /* Could be more or less, depending on screen size */
    max-height: 70%;
    overflow: auto;
    position: relative;
}

#denyModal{

}

#denyReason {
  width: 300px;
}
.deny-title-box {
  display: flex;
  align-items: center;
  text-align: center;
}
.deny-title {
  margin-left: 10px;
}


/* * {
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
} */

body {
    background-color: #435165;
}
.login-center {
  display: flex;
  justify-content: center;
  align-items: center;
}
.login {
    width: 400px;
    background-color: #ffffff;
    box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
    margin: 30px auto;
}
.login h1 {
    text-align: center;
    color: #5b6574;
    font-size: 24px;
    padding: 20px 0 20px 0;
    border-bottom: 1px solid #dee0e4;
}
.login form {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 20px;
}
.login form label {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background-color: #3274d6;
    color: #ffffff;
}
.login form input[type="password"], .login form input[type="text"] {
    width: 310px;
    height: 50px;
    border: 1px solid #dee0e4;
    margin-bottom: 20px;
    padding: 0 15px;
}
.login form input[type="submit"] {
    width: 100%;
    padding: 15px;
   margin-top: 20px;
    background-color: #3274d6;
    border: 0;
    cursor: pointer;
    font-weight: bold;
    color: #ffffff;
    transition: background-color 0.2s;
}
.login form input[type="submit"]:hover {
  background-color: #2868c7;
    transition: background-color 0.2s;
}


.navtop {
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
	background-color: #2f3947;
	height: 60px;
	width: 100%;
	border: 0;
}
.navtop div {
	display: flex;
	margin: 0 auto;
	width: 1000px;
	height: 100%;
}
.navtop div h1, .navtop div a {
	display: inline-flex;
	align-items: center;
}
.navtop div h1 {
	flex: 1;
	font-size: 24px;
	padding: 0;
	margin: 0;
	color: #eaebed;
	font-weight: normal;
}
.navtop div a {
	padding: 0 20px;
	text-decoration: none;
	color: #c1c4c8;
	font-weight: bold;
}
.navtop div a i {
	padding: 2px 8px 0 0;
}
.navtop div a:hover {
	color: #eaebed;
}
body.loggedin {
	background-color: #f3f4f7;
}
.content {
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
	width: 1000px;
	margin: 0 auto;
}
.content h2 {
	margin: 0;
	padding: 25px 0;
	font-size: 22px;
	border-bottom: 1px solid #e0e0e3;
	color: #4a536e;
}
.content > p, .content > div {
	box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.1);
	/* margin: 25px 0;
	padding: 25px; */
	background-color: #fff;
}
.content > p table td, .content > div table td {
	padding: 5px;
}
.content > p table td:first-child, .content > div table td:first-child {
	font-weight: bold;
	color: #4a536e;
	padding-right: 15px;
}
.content > div p {
	padding: 5px;
	margin: 0 0 10px 0;
}

/* * {
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
    font-size: 16px;
} */

body {
    background-color: #435165;
    margin: 0;
}
.agreement {
  width: 70%;
  background-color: #ffffff;
  box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
  padding: 20px;
  margin: 30px auto;
}
.register {
  width: 400px;
  background-color: #ffffff;
  box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
  margin: 30px auto;
}
.register h1 {
    text-align: center;
    color: #5b6574;
    font-size: 24px;
    padding: 20px 0 20px 0;
    border-bottom: 1px solid #dee0e4;
}
.register form {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 20px;
}
.register form label {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
   height: 50px;
    background-color: #3274d6;
    color: #ffffff;
}
.register form input[type="password"], .register form input[type="text"], .register form input[type="email"] {
    width: 310px;
    height: 50px;
    border: 1px solid #dee0e4;
    margin-bottom: 20px;
    padding: 0 15px;
}
.register form input[type="submit"] {
    width: 100%;
    padding: 15px;
    margin-top: 20px;
    background-color: #3274d6;
   border: 0;
    cursor: pointer;
    font-weight: bold;
    color: #ffffff;
    transition: background-color 0.2s;
}
.register form input[type="submit"]:hover {
  background-color: #2868c7;
    transition: background-color 0.2s;
}
.centered {
    align-items: center;
    justify-content: center;
    text-align: center;
}

.user-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.user-block{
    display: flex;
    margin: 10px;
    padding: 5px 10px;
    
    background-color: #ffffff;
    width: auto;
    height: auto;
    border-radius: 10%;
    text-align: center;
    justify-content: center;
}
.user-name{
    font-size: 24px;
    font-weight: bold;
    width: 94%;
}

.ban-page {
    align-items: center;
    justify-content: center;
    text-align: center;
    color: red;
}
.private {
    filter: brightness(0.2);
}
.darker {
    filter: brightness(0.8);
}
.private-overlay{
    filter: brightness(1);
    font-size: 36px;
    color: grey;
    
    position: absolute;
    bottom: 30px;
    left: 25px;
}

.title-container{
    display: flex;
    justify-content: center;
    text-align: center;
}

#title-link {
  font-family: "mario";
  font-size: 35px;
  -webkit-text-stroke: 2px black;
  text-stroke: 2px black;
  text-shadow: 5px 5px black;
}

.unstyled-link {
  text-decoration: none;
  color: inherit;
}

.title {
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
  font-size: 25px;
  font-weight: bold;
  height: 30px;
  width: 1024px;
  border: 0;
  display: flex;
  padding: 5px;
  margin: 5px;
}
.subtitle {
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
  font-size: 18px;
  font-weight: bold;
  height: 30px;
  width: 1024px;
  border: 0;
  display: flex;
  padding: 5px;
  margin: 5px;
}
#forge-title {
  box-sizing: border-box;
  font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
  font-size: 25px;
  font-weight: bold;
  height: 30px;
  border: 0;
  display: flex;
  padding: 5px;
  margin: 5px;
  text-align: center;
  justify-content: center;
  align-items: center;
}

.title span{
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  max-width: 80%;
  margin-right: 10px;
}

.title a{
  margin-left: 10px;
}
.subtitle span{
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  max-width: 80%;
  margin-right: 10px;
}

.subtitle a{
  margin-left: 10px;
}

#mascot-favorite {
    position: relative;
    cursor: pointer;
    margin-left: 10px;
    font-size: 30px;
}





/* NEWSTUFF */

.quest-container {
  margin: 0 auto;
  width: 60%;
  height: 100%;
  background-color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.quest-container-content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
  .quest-box {
    width: 600px;
    height: auto;
    border: 4px solid black;
    margin: 10px;
  }
  .quest-title-bar {
    font: 20px Arial black;
    margin: 10px;
    display: flex;
    justify-content: space-between;
    border-bottom: 3px solid black;
  }
  .quest-title {
    font: 20px Arial black;
  }
  .quest-fav {
    font-size: 25px;
  }
  .quest-description {
    padding: 10px;
    padding-top: 0px;
  }
  .quest-progress {
    border-top: 3px solid black;
    display: flex;
    flex-direction: column;
  }
  .quest-progress-title {
    display: flex;
    padding: 5px;
    font: 20px Arial black;
    justify-content: center;
  }
  .quest-progress-bar {
    height: 20px;
    width: 100%;
    background-color: black;
    display: flex;
  }
  
  .quest-progress-played {
    width: 0%;
    background:
    linear-gradient(
      -72deg,
      #ca7345,
      #ffdeca 16%,
      #ca7345 21%,
      #a14521 27%,
      #ca7345 36%,
      #ffdeca 60%,
      #ca7345 72%,
      #ffdeca 80%,
      #ca7345 84%,
      #732100
    );
    
  }
  .quest-progress-beaten {
    width: 0%;
    background:
    linear-gradient(
      -72deg,
      #dedede,
      #ffffff 16%,
      #ababab 27%,
      #dedede 36%,
      #ffffff 60%,
      #dedede 84%,
      #a1a1a1
    );
  }
  .quest-progress-complete {
    width: 0%;
    background: linear-gradient(
      -72deg,
      #ffde45,
      #ffffff 16%,
      #ffde45 21%,
      #ffde45 36%,
      #ffffff 60%,
      #ffde45 72%,
      #ffffff 80%,
      #ffde45 84%
    );
  }

  .quest-spin {
    display: flex;
    padding: 5px;
    font: 16px Arial black;
    justify-content: center;
  }
  
  .game-thumb {
    width: 100%;
  }
  .game-thumb ul {
    display: flex;
    list-style: none outside none;
    padding-left: 0;
    margin-bottom: 0;
    justify-content: center;
    align-items: center;
  }
  .game-thumb li {
    float: left;
    margin-right: 6px;
    cursor: pointer;
  }
  .game-thumb img {
    height: auto;
    max-width: 100%;
  }


  #main-game-container {
    display: flex;
    justify-content: center;
  }
  #game-container {
    display: flex;
    width: 100%;
    min-width: 540px;
    flex-direction: column;
    border: 3px solid black;
  }
  .game-tagline {
    margin-left: 5px;
    font-style: italic;
  }
  #game-top-container {
    display: flex;
  }
  #game-left {
    min-width: 270px;
    display: flex;
    flex-direction: column;
    width: 70%;
  }
  #game-right {
    width: 35%;
    min-width: 270px;
    display: flex;
    flex-direction: column;
    border-left: 3px solid black;
  }
  #game-centered {
    min-width: 270px;
    display: flex;
    flex-direction: column;
    width: 100%;
  }
  #game-bottom {
    display: flex;
    justify-content: center;
    border-top: 3px solid black;
  }
  #quest-bottom {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    border-top: 3px solid black;
  }
  #quest-games-title-container {
    width: 100%;
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
  }
  #quest-games-title {
    border-bottom: 1px solid black;
    width: 80%;
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
  }
  #game-title-bar {
    display: flex;
    align-items: center;
  }
  #game-title-bar-left {
    display: flex;
    flex-direction: column;
  }
  .game-edit-delete {
    color: red;
    margin: 5px;
  }
  .game-title-bar-right {
    min-width: 20%;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    border-left: 3px solid black;
  }
  #game-title {
    width: 80%;
    padding: 10px;
  }
  #game-platform {
    padding: 5px;
  }
  #game-region {
    border-top: 3px solid black;
    padding: 5px;
  }
  #game-date {
    border-top: 3px solid black;
    padding: 5px;
  }

  #game-status-container {
    min-width: 20%;
    height: 100%;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    border-left: 3px solid black;
  }

  #game-status-desc-container {
    padding: 5px;
  }
  #game-status {
    padding: 5px;
  }
  #game-status .fa-circle {
    padding: 1px;
  }

  #game-status .fa-circle:first-child {
    color: black;
  }
  #game-status .fa-circle:nth-child(2) {
    color: rgb(0, 128, 0);
  }
  #game-status .fa-circle:nth-child(3) {
    color: #ca7345;
  }
  #game-status .fa-circle:nth-child(4) {
    color: #a1a1a1;
  }
  #game-status .fa-circle:nth-child(5) {
    color: #ffde45;
  }

  .game-item-container {
    display:flex;
    flex-direction: column;
    width: 80%;
  }
  .game-item {
    width: 100%;
    border: 3px solid black;
    margin: 10px;
    padding: 10px;
  }
  .game-item .change {
    color: red;
  }
  

  .gq-button {
    height: 100%;
    padding-left: 20px;
    padding-right: 20px;
    margin-left: 10px;
    margin-right: 10px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    border-left: 3px solid black;
    font-size: 30px;
    cursor: pointer;
  }
  .game-edit-button, .game-suggest-button{
    height: 100%;
    padding-left: 20px;
    padding-right: 20px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    border-left: 3px solid black;
    font-size: 30px;
    cursor: pointer;
  }
  .game-owned-container {
    height: 100%;
    padding-left: 20px;
    padding-right: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    border-left: 3px solid black;
    cursor: pointer;
  }
  .game-owned-symbol {
    margin-top: 5px;
    font-size: 30px;
  }
  #game-desc {
    padding: 10px;
    border-top: 3px solid black;
  }
  #game-activity-feed {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 10px;
  }
  #game-activity-feed-title {
    border-bottom: 1px solid black;
  }
  #game-desc-title {
    border-bottom: 1px solid black;
  }
  .game-activity {
    align-items: center;
    text-align: center;
    margin: 5px;
    padding: 10px;
  }
  #game-quests {
    display: flex;
    flex-direction: column;
    border-top: 3px solid black;
    padding: 10px;
  }
  .game-quest {
    margin-top: 10px;
  }
  #game-ratings {
    border-top: 3px solid black;
    display: flex;
  }
  #game-rating {
    min-width: 120px;
    width: 50%;
    padding: 10px;
  }
  #game-user-rating {
    border-left: 3px solid black;
    min-width: 120px;
    width: 50%;
    padding: 10px;
  }
  #game-rating-title {
    margin-bottom: 5px;
  }
  #game-stars {
    color: orange;
  }

  #wheel-info-container{
    display: flex;
    flex-direction: column;
  }

  #rating-container {
    margin: 5px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
  }

  #mascot-ratings {
    display: flex;
    font-size: 16px;
  }
  #mascot-rating {
    min-width: 100px;
    width: 50%;
    padding-left: 10px;
  }
  #mascot-user-rating {
    min-width: 100px;
    width: 50%;
    padding-left: 10px;
  }
  #mascot-rating-title {
    margin-bottom: 5px;
  }
  #mascot-stars {
    color: orange;
  }
  #mascot-user-stars {
    color: rgba(230, 230, 3, 0.925);
  }
  .mascot-rating-bottom {
      position: absolute;
      bottom: 0;
      left: 25%;
      margin-bottom: 5px;
  }

  #game-mascots {
    padding: 10px;
    border-top: 3px solid black;
  }

  #game-mascots-title-container {
    display: flex;
    justify-content: space-between;
  }
  #game-mascot-associator-select {
    width: 100px;
    overflow: hidden;
    white-space: pre;
    text-overflow: ellipsis;
  }

  #game-quest-associator-select {
    width: 100px;
    overflow: hidden;
    white-space: pre;
    text-overflow: ellipsis;
  }
  .delete-quest{
    cursor: pointer;
  }
  .gallery-container {
    position: relative;
  }
  .gallery-delete {
    font-size: 30px;
    position: absolute;
    right: 5%;
    bottom: 5%;
  }
  .delete-image{
    cursor: pointer;
  }

  .mascot-list-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
  }
  .mascot-list-wrapper-left {
    max-width: 80%;  
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
  }

  .game-list-wrapper {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  .game-list-wrapper-left {
    max-width: 80%;  
  }
  .game-list-wrapper-right {
    max-width: 20%;
  }
  .game-list-wrapper-centered {

  }
  .game-list-container {
    margin: 10px;
    display: flex;
    flex-direction: row;
    height: 70px;
    margin: 10px;
    padding: 5px;
    margin-bottom: 20px;
    margin-top: 20px;
  }
  .game-list-edit-block {
    
  }
  .game-list-image-block {
    position: relative;
    height: 100%;
    margin-right: 5px;
    justify-content: center;
    text-align: center;
  }
  .game-list-stars {
    color: orange;
    font-size: 14px;
    margin-top: -5px;
  }

  .game-list-image-block img {
    min-width: 125px;
    max-width:100%;
    max-height:100%;
  }
  .game-list-main-block {
    max-width: 80%;
    display: flex;
    flex-direction: column;
    
  }
  .game-list-main-top {
    display: flex;
    flex-direction: row;
  }
  .game-list-name {
    font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
    font-weight: bold;
    font-size: 24px;
    margin: 0 5px;
  }
  .game-list-platform {
    margin: 0 5px;
  }
  .game-list-main-bottom {
    display: flex;
    flex-direction: row;
  }
  .game-list-region {
    margin: 0 5px;
  }
  .game-list-date {
    margin: 0 5px;
  }
  .game-list-status {
    margin: 0 5px;
  }
  .game-list-wrapper-right {
    border: 1px solid black;
    padding: 5px;
    height: auto;
  }
  #game-list-search-platforms {
    display: flex;
    flex-direction: column;
  }

  .updates {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .update-container {
    margin: 5px;
    padding: 5px;
    width: 80%;
    border: 1px solid black;
  }
  .update-top {
    display: flex;
    flex-direction: column;
  }
  .update-title{
    padding: 5px;
    font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
    font-size: 25px;
    font-weight: bold;
    
    background-color: lightgray;
  }
  .update-sub-title{
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid black;
  }
  .update-date{
    margin: 5px;
  }
  .update-user{
    margin: 5px;
  }
  .update-contents{
    padding: 5px;
  }

  #main-activity {
    border: 1px solid black;
  }



  .game-edit-tag-wrapper {
    border-top: 3px solid black;
    border-bottom: 3px solid black;
    
  }
  .game-edit-tags {
    align-items: center;
    background: #fff;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    min-height: 2.25em;
    width: 100%;
  }
  
  .game-edit-tags .tags {
    flex-grow: 2;
    height: 100%;
    margin: 0;
    padding: 4px;
  }
  
  .game-edit-tags .tags li {
    background: #d8d8d8;
    border-radius: 2px;
    color: #666;
    cursor: pointer;
    display: inline-block;
    font-size: 11px;
    font-weight: 700;
    letter-spacing: .075em;
    line-height: 25px;
    list-style: none;
    height: 100%;
    margin-left: 2px;
    padding: 0 12px;
    position: relative;
    text-decoration: none;
    text-shadow: 0 1px rgba(255, 255, 255, 0.5);
  }
  
  .game-edit-tags .tags li:after {
    content: "x";
    font-size: 10px;
    line-height: 1;
    overflow: hidden;
    position: absolute;
    right: 2px;
    text-align: center;
    top: 2px;
  }

  .game-edit-tag-entry {
    margin: 5px;
  }
  
  .game-edit-tag-wrapper input {
    border: none;
    background: transparent;
    /*flex-basis:100%;*/
    flex-grow: 1;
    flex-shrink: 99999999;
    font-size: 1em;
    font-weight: 300;
    height: 100%;
    line-height: 1.5;
    min-width: 100px;
    outline: none;
    padding: 0 .25em;
    width: 100%;
  }



  /* Styles for the pop-up container */
.quest-popup {
  display: none; /* Hidden by default */
  position: fixed; /* Fixed position */
  z-index: 1; /* Place it on top */
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0,0,0,0.4); /* Black background with opacity */

  /* Center vertically and horizontally */
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Styles for the pop-up content */
.quest-popup-content {
  background-color: #fefefe;
  padding: 20px;
  border-radius: 5px;
  position: relative;
}

/* Style for the close button */
.quest-popup-close-button {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 20px;
  font-weight: bold;
  cursor: pointer;
}



.slider-container{
  margin: 20px 5px 20px 36px;
  padding: 0px 5px 0px 5px;
}
.slider-color-container{
  margin: 0px 5px 0px 0px;
  padding: 0px 5px 0px 5px;
}
.slider-label{
  margin: 0px;
  padding: 5px;
  padding-left: 0px;
  text-decoration: underline;
  text-underline-offset: 2px;
}
.slider-body {
  margin: 0px;
  padding: 0px;
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 1em;
  margin-bottom: 10px;
  font-size: 1.25em;
}
.slider-left {
  margin: 0px;
  display: flex;
  height: 20px;
  border: 3px solid black;
  margin-right: -3px;
  padding: 5px;
  padding-left: 15px;
  width: 80%;
  max-width: 10em;
}

.slider-color {
  margin: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 20px;
  border: 3px solid black;
  margin-right: -3px;
  padding-left: 10px;
  padding-right: 10px;
  width: auto;
  max-width: 10em;
}

.fancy-num {
  height: 20px;
  border: 3px solid black;
  padding: 5px;
  width: 70px;
}

.slider-div {
  margin: 0px;
  padding: 0px;
  margin-right: 10px;
  --slider-height: .375em;
  --slider-value: 0;
  display: flex;
  align-items: center;
  position: relative;
  border-radius: 3.125em;
  width: 100%;
  min-width: 2em;
}

.slider-track-red {
  border: 3px solid #c52828;
}
.slider-track-orange {
  border: 3px solid orange;
}
.slider-track-green {
  border: 3px solid #219328;
}
.slider-track-blue {
  border: 3px solid #2850c5;
}
.slider-track-white {
  border: 3px solid white;
}
.slider-track-grey {
  border: 3px solid grey;
}
.slider-track-black {
  border: 3px solid black;
}

.slider-div-red {
  --slider-color: #c52828;
}
.slider-div-orange {
  --slider-color: orange;
}
.slider-div-green {
  --slider-color: #219328;
}
.slider-div-blue {
  --slider-color: #2850c5;
}
.slider-div-white {
  --slider-color: white;
}
.slider-div-grey {
  --slider-color: grey;
}
.slider-div-black {
  --slider-color: black;
}

.slider-track {
  margin: 0px;
  padding: 0px;
  display: flex;
  align-items: center;
  position: relative;
  border-radius: inherit;
  height: var(--slider-height);
  width: calc(100%);
  background-color: #262626;
  background-blend-mode: overlay, normal;
  box-shadow: inset 0 0.0625em 0.125em rgba(0, 0, 0, 0.4), 0 1px 1px rgba(255, 255, 255, 0.1);
}

.slider-input {
  margin: 0px;
  padding: 0px;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  position: absolute;
  z-index: 1;
  top: 0;
  left: 50%;
  transform: translate(-50%);
  border-radius: inherit;
  width: calc(100% + .875em);
  height: 100%;
  opacity: 0;
  cursor: pointer;
}
.slider-input::-webkit-slider-thumb {
  margin: 0px;
  padding: 0px;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  padding: 0.5em;
  width: 1.25em;
  height: 1.25em;
}
.slider-input::-moz-range-thumb {
  margin: 0px;
  padding: 0px;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  padding: 0.5em;
  width: 1.25em;
  height: 1.25em;
}

.slider-thumb {
  margin: 0px;
  padding: 0px;
  display: flex;
  position: absolute;
  left: calc(var(--slider-value) / 100 * (100% - var(--slider-height)) + var(--slider-height) / 2);
  border-radius: 0.0625em;
  width: 1.25em;
  height: 1em;
  transform: translateX(-50%);
  box-shadow: 0 0 0.25em 0.0625em rgba(0, 0, 0, 0.2), 0 0.25em 0.25em rgba(0, 0, 0, 0.3);
  overflow: hidden;
}

.slider-thumb-side {
  margin: 0px;
  padding: 0px;
  flex-grow: 37;
  height: 100%;
}
.slider-thumb-side:first-child {
  background-image: linear-gradient(to right, #252427 45%, #383836 55%);
  box-shadow: inset 0.03125em 0 0 0.03125em rgba(0, 0, 0, 0.3);
}
.slider-thumb-side:last-child {
  background-image: linear-gradient(to right, #383836 45%, #252427 55%);
  box-shadow: inset -0.03125em 0 0 0.03125em rgba(0, 0, 0, 0.3);
}

.slider-thumb-middle {
  margin: 0px;
  padding: 0px;
  flex-grow: 26;
  height: 100%;
  background-color: var(--slider-color);
  box-shadow: inset 0 0.0625em 0.03125em rgba(0, 0, 0, 0.5), inset 0 -0.0625em 0.03125em rgba(0, 0, 0, 0.5), inset 0.0625em 0 0.03125em rgba(0, 0, 0, 0.5), inset -0.0625em 0 0.03125em rgba(0, 0, 0, 0.5);
}


.pad-container {
  margin: 0px;
  padding: 0px;
}

.xy-pad-container {
  display: inline-block;
  margin-left: 36px;
  margin-right: 20px;
}

.xy-pad {
  margin: 0px;
  padding: 0px;
  width: 200px;
  height: 160px;
  background-color: lightgray;
  position: relative;
}

.xy-handle {
  margin: 0px;
  padding: 0px;
  width: 20px;
  height: 20px;
  background-color: blue;
  border-radius: 50%;
  position: absolute;
  cursor: pointer;
  transform: translate(-50%, -50%); /* Center the circle on the cursor */
}